cURL
curl --request GET \
--url https://api.recoupable.dev/api/commentsimport requests
url = "https://api.recoupable.dev/api/comments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.recoupable.dev/api/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"comments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"social_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>",
"commented_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123
}
}{
"status": "error",
"error": "<string>"
}Posts & Comments
Get Comments
Retrieve comments associated with an artist or a specific post, with support for pagination. This endpoint returns raw comment data including the comment text, associated post, and commenter’s social profile reference.
GET
/
api
/
comments
cURL
Query Parameters
The unique identifier of the artist account to fetch comments for
Filter comments by specific post
Page number for pagination (default: 1)
Number of comments per page (default: 10)
Was this page helpful?
